Bug 10076 - LPD stops Printing to remote Print Servers.
Summary: LPD stops Printing to remote Print Servers.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr   
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-08 22:00 UTC by scot
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-08 22:00:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description scot 2000-03-08 22:00:19 UTC
We have 2 Linksys, and an Intel NetportExpress 10/100 Print Servers.

We have setup the printcap file as:

rlp0|Remote Okidata 2400 Printer:\
        :sd=/var/spool/lpd/rlp0:\
        :mx#0:\
        :pw#132:\
        :rm=pserv3:\
        :rp=LPT1_TEXT:\
        :sf:\
        :lf=/var/log/lpd.log:\
        :if=/var/spool/lpd/rlp0/filter:

Occasionally, the lpd will stop sending print jobs to the print servers.
When this happens we have to use '/etc/rc.d/init.d/lpd [stop|start]' to
restart the server.  Some times this doesn't work and we have to clean the
junk out of the print queues directory to get printing functioning again.

lpq  will always show at least one print job with a 0 byte size:

gi2: sending to pserv3
Rank   Owner      Job  Files                                 Total Size
1st    bin        740                                        0 bytes
2nd    bin        741                                        0 bytes
0 bytes

When we look in the queue directory we see extra cf*, df*, and lpdtemp*
files that should have been removed in a previous printing.

-rw-r----x   1 root     lp         4 Mar  7 10:49 .seq
-rw-rw----   1 root     root      97 Mar  7 10:54 cfA740gi2
-rw-rw----   1 root     root      97 Mar  7 10:56 cfA741gi2
-rw-rw----   1 root     root       0 Mar  7 10:56 cfA742gi2
-rw-rw----   1 bin      lp     10789 Mar  6 13:39 dfA733g8yB0eb
-rw-rw----   1 bin      lp     31322 Mar  7 09:27 dfA740g3hhYUK
-rw-rw-r--   1 root     root   31322 Mar  7 09:37 dfA740gi2
-rw-rw----   1 bin      lp     31303 Mar  7 10:47 dfA741gDDueKr
-rw-rw-r--   1 root     root   31303 Mar  7 10:55 dfA741gi2
-rw-rw----   1 bin      lp     31320 Mar  7 10:49 dfA742gK4njk4
-rw-rw-r--   1 root     root   31320 Mar  7 10:56 dfA742gi2
-rwxr-xr-x   1 root     root    9443 Oct 22 09:27 filter
-rwxr-xr-x   1 root     root     192 Oct 22 09:27 general.cfg
-rw-r--r--   1 root     root      27 Mar  7 10:56 lock
-rw-rw----   1 bin      lp       100 Mar  7 09:27 lpdtemp84DwLM
-rw-rw----   1 bin      lp       100 Mar  7 10:49 lpdtempA3fa2J
-rw-rw----   1 bin      lp       100 Mar  7 10:47 lpdtempOPNIAF
-rw-rw----   1 bin      lp       100 Mar  6 13:39 lpdtemppCZ5cl
-rwxr-xr-x   1 root     root     339 Oct 22 09:27 postscript.cfg
-rw-rw-r--   1 root     root      30 Mar  7 10:56 status
-rwxr-xr-x   1 root     root     147 Oct 22 09:34 textonly.cfg

We are currently using:

    lpr-0.50-1
    rhs-printfilters-1.58-1

Why are we getting this problem?

Why are the cf*, df*, and lpdtemp* files not being removed when a print
job has been completed?

Scot

Comment 1 Bernhard Rosenkraenzer 2000-06-17 19:20:00 UTC
This is fixed in Rawhide (LPRng).


Note You need to log in before you can comment on or make changes to this bug.